log:
    level: WARN  # ERROR, DEBUG, PANIC, FATAL, ERROR, WARN, INFO

global:
    checkNewVersion: false
    sendAnonymousUsage: false

api:
    dashboard: true

providers:
    providersThrottleDuration: 2s
    docker:
        exposedByDefault: false
        endpoint: 'unix:///var/run/docker.sock'
        network: traefik
    file:
        filename: /etc/traefik/dynamic.yaml
        watch: true

entryPoints:
    web:
        address: ':80'
        http:
            redirections:
                entryPoint:
                    to: web-secure
                    scheme: https
        forwardedHeaders:
            trustedIPs: &trustedIps
                - 127.0.0.1/32 # localhost
    web-secure:
        address: ':443'
        http:
            middlewares:
                - security-headers@file
                - content-type@file
                - gzip@file
        forwardedHeaders:
            trustedIPs: *trustedIps